%% The state record.
-record(s, {b=false,
	    em=false,
	    i=false,
	    s=false,
	    tt=false,
	    u=0,
	    size=undefined,
	    color=undefined}).

-define(TIME(Name, Code),
	(fun() ->
		 {Time, Result} =
		     timer:tc(erlang, apply, [fun() -> Code end, []]),
		 io:format("TIME(~p): ~pms~n", [Name, trunc(Time/1000)]),
		 Result
	 end)()
       ).
